# Uses of Annotation Interface
org.bukkit.Utility

Packages that use Utility
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.inventory
Classes involved in manipulating player inventories and item interactions.

## Uses of Utility in org.bukkit

Methods in org.bukkit with annotations of type Utility
Modifier and Type
Method
Description
`@NotNull Map<String,Object>`
Location.`serialize()`

## Uses of Utility in org.bukkit.inventory

Methods in org.bukkit.inventory with annotations of type Utility
Modifier and Type
Method
Description
`void`
ItemStack.`addEnchantment(@NotNull Enchantment ench, int level)`
Adds the specified `Enchantment` to this item stack.
`void`
ItemStack.`addEnchantments(@NotNull Map<Enchantment,Integer> enchantments)`
Adds the specified enchantments to this item stack.
`void`
ItemStack.`addUnsafeEnchantments(@NotNull Map<Enchantment,Integer> enchantments)`
Adds the specified enchantments to this item stack in an unsafe manner.
`boolean`
ItemStack.`equals(Object obj)`
`int`
ItemStack.`getMaxStackSize()`
Get the maximum stacksize for the material hold in this ItemStack.
`@NotNull Material`
ItemStack.`getType()`
Gets the type of this item
`int`
ItemStack.`hashCode()`
`boolean`
ItemStack.`isSimilar(@Nullable ItemStack stack)`
This method is the same as equals, but does not consider stack size (amount).
`@NotNull Map<String,Object>`
ItemStack.`serialize()`
`void`
ItemStack.`setType(@NotNull Material type)`
Sets the type of this item
`String`
ItemStack.`toString()`
Constructors in org.bukkit.inventory with annotations of type Utility
Modifier
Constructor
Description
`protected`
`ItemStack()`